Insecure Randomness Affecting org.airsonic.player:airsonic-main package, versions [,10.2.1)


0.0
medium

Snyk CVSS

    Attack Complexity Low
    User Interaction Required
Expand this section
NVD
9.8 critical

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-JAVA-ORGAIRSONICPLAYER-174142
  • published 9 Apr 2019
  • disclosed 7 Apr 2019
  • credit Unknown

How to fix?

Upgrade org.airsonic.player:airsonic-main to version 10.2.1 or higher.

Overview

org.airsonic.player:airsonic-main is a media server that can be used to stream multiple players simultaneously.

Affected versions of this package are vulnerable to Insecure Randomness which can lead to privilege escalation attacks. RecoverController.java generates passwords via the org.apache.commons.lang.RandomStringUtils class, which uses the java.util.Random PRNG function. This function uses a 48-bit seed that is susceptible to brute force attacks.

References